<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="tabs/tab1"></ion-back-button>
    </ion-buttons>
    <ion-title>Meu carrinho</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item-sliding *ngFor="let b of produtos">
      <ion-item button [routerLink]="['/details', b.bolo.id]">
        <ion-thumbnail slot="start">
          <img [src]="b.bolo.imagem">
        </ion-thumbnail>

        <ion-label>
          {{b.qtde }} {{b.bolo.nome }}
          <p>{{b.bolo.descricao }}</p>
        </ion-label>

        <ion-note color="primary" slot="end" *ngIf="b.bolo.preco">{{ b.bolo.preco | currency: 'BRL' }}</ion-note>
      </ion-item>

      <ion-item-options side="end">
        <ion-item-option color="danger">
          <ion-icon slot="top" name="trash"></ion-icon>
          Excluir
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
    <ion-card *ngIf="produtos.length">
      <ion-card-content>
        <ion-grid>
          <ion-row>
            <ion-col size="8">
              <ion-label color="primary">Total: {{ totalValor | currency: 'BRL'  }} </ion-label>
            </ion-col>
            <ion-col size="4">
              <ion-label color="primary">Itens: {{ totalItens }} </ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="12">
              <ion-grid>
                <ion-row>
                  <ion-col size="12">
                    <ion-button shape="round" expand="full" (click)="proximoPasso()" color="success">Finalizar Pedido
                    </ion-button>
                  </ion-col>
                </ion-row>
              </ion-grid>

            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-card-content>
    </ion-card>
    <ion-card *ngIf="!produtos.length">
      <ion-card-header color="light">
        <h4>Não há itens no carrinho</h4>
      </ion-card-header>
    </ion-card>
  </ion-list>

</ion-content>